import { __decorate } from "tslib";
import { customElement, FASTElement, observable } from '@microsoft/fast-element';
import { logger } from '../utils';
import { MainStyles as styles } from './main.styles';
import { DynamicTemplate as template, LoadingTemplate, MainTemplate } from './main.template';
const name = 'foundation-shell';
let MainApplication = class MainApplication extends FASTElement {
    constructor() {
        super(...arguments);
        this.ready = false;
    }
    connectedCallback() {
        super.connectedCallback();
        logger.debug(`${name} is now connected to the DOM`);
        this.ready = true;
    }
    selectTemplate() {
        return this.ready ? MainTemplate : LoadingTemplate;
    }
};
__decorate([
    observable
], MainApplication.prototype, "ready", void 0);
MainApplication = __decorate([
    customElement({
        name,
        template,
        styles,
    })
], MainApplication);
export { MainApplication };
